VESPA-STATUS(1)

NAME
vespa-status - Show Vespa endpoints and status

SYNOPSIS
vespa status [flags]

DESCRIPTION
Show Vespa endpoints and status.

This command shows the current endpoints, and their status, of a deployed Vespa application.

OPTIONS
--format="human"
    Output format. Must be 'human' (human-readable) or 'plain' (cluster URL only)

-h, --help[=false]
    help for status

-w, --wait=0
    Number of seconds to wait for service(s) to become ready. 0 to disable (default 0)

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    $ vespa status
    $ vespa status --cluster mycluster
    $ vespa status --cluster mycluster --wait 600
    $ vepsa status --format plain --cluster mycluster

SEE ALSO
vespa(1), vespa-status-deploy(1), vespa-status-deployment(1)